## org.mortbay.jetty.security
Class UnixCrypt

    java.lang.Object
      org.mortbay.jetty.security.UnixCrypt

    public class UnixCrypt

extends Object

Unix Crypt. Implements the one way cryptography used by Unix systems for simple password protection.

Version:
  $Id: UnixCrypt.java,v 1.1 2005/10/05 14:09:14 janb Exp $
Author:
  Greg Wilkins (gregw)

Method Summary
`static String` `crypt(String key, String setting)` Encrypts String into crypt (Unix) code.
`static void` `main(String[] arg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### crypt

    public static String crypt(String key,
                               String setting)

  Encrypts String into crypt (Unix) code.

  Parameters:
    `key` - the key to be encrypted
    `setting` - the salt to be used
  Returns:
    the encrypted String

### main

    public static void main(String[] arg)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.